Name:           mac
Version:        10.18
Release:        1%{?dist}
Summary:        Monkey's Audio Codec

License:        BSD-3-Clause
URL:            https://monkeysaudio.com
Source:         %{url}/files/MAC_%(echo "%{version}" | tr -d .)_SDK.zip

BuildRequires:  cmake
BuildRequires:  gcc-c++

Requires:       %{name}-libs = %{version}-%{release}

%description
Monkey's Audio is a fast and easy way to compress digital music. Unlike
traditional methods such as mp3, ogg, or lqt that permanently discard
quality to save space, Monkey's Audio only makes perfect, bit-for-bit
copies of your music. That means it always sounds perfect – exactly the
same as the original. Even though the sound is perfect, it still saves a
lot of space.

%package        libs
Summary:        Library for Monkey's Audio Codec

%description    libs
The %{name}-libs package contains a library for Monkey's Audio Codec.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -c %{name}

# Drop prebuilt binaries and unused vendored dependencies
rm -r '3rd Party' Shared/{32,64} Source/'DirectShow Filter'

# Convert readme to UTF-8 and fix EOL encoding
iconv -f iso8859-1 -t utf-8 Readme.txt > Readme.txt.conv && \
  mv -f Readme.txt.conv Readme.txt
sed -i 's/\r$//' Readme.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_bindir}/mac

%files libs
%license License.rtf
%doc Readme.txt
%{_libdir}/*.so.10*

%files devel
%{_includedir}/MAC/
%{_libdir}/*.so

%changelog
* Tue Aug 15 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 10.18-1
- Update to 10.18
- Rework summary and description
- Update license tag for upstream relicensing and convert to SPDX
- Rework specfile to follow the Fedora packaging guidelines

* Thu Aug 03 2023 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 4.11-15.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Aug 08 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 4.11-14.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild and ffmpeg
  5.1

* Thu Feb 10 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 4.11-13.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 4.11-12.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Feb 04 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 4.11-11.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Aug 19 2020 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 4.11-10.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Feb 05 2020 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 4.11-9.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 10 2019 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 4.11-8.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Mar 05 2019 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 4.11-7.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Aug 19 2018 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 4.11-6.u4b5
- Rebuilt for Fedora 29 Mass Rebuild binutils issue

* Fri Jul 27 2018 RPM Fusion Release Engineering <sergio@serjux.com> - 4.11-5.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 02 2018 RPM Fusion Release Engineering <leigh123linux@googlemail.com> - 4.11-4.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 31 2017 RPM Fusion Release Engineering <kwizart@rpmfusion.org> - 4.11-3.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 26 2017 RPM Fusion Release Engineering <kwizart@rpmfusion.org> - 4.11-2.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 14 2016 Leigh Scott <leigh123linux@googlemail.com> - 4.11-1.u4b5
- fix bz4123
- use monkeys-audio source from Debian multimedia

* Fri Jul 01 2016 Leigh Scott <leigh123linux@googlemail.com> - 3.99-13.u4b5
- patch for gcc-6

* Thu Jun 30 2016 Nicolas Chauvet <kwizart@gmail.com> - 3.99-12.u4b5
- Spec clean-up
- Use execstrack instead of prelink on fedora 23 and later
- Fix build with newer gcc

* Sun Aug 31 2014 Sérgio Basto <sergio@serjux.com> - 3.99-11.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Mar 12 2013 Nicolas Chauvet <kwizart@gmail.com> - 3.99-10.u4b5
- https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Mar 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 3.99-9.u4b5
- Rebuilt for c++ ABI breakage

* Thu Feb 09 2012 Nicolas Chauvet <kwizart@gmail.com> - 3.99-8.u4b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3.99-7.u4b5
- rebuild for new F11 features

* Fri Mar 13 2009 kwizart < kwizart at gmail.com > - 3.99-6.u4b5
- Add permission to redistribute for RPM Fusion. (bundled with -libs)
- Fix for gcc44

* Mon Feb  2 2009 kwizart < kwizart at gmail.com > - 3.99-4.u4b5
- Fix the main package category
- Fix the execstack on libmac.so.2
- Move some docs from main to -devel

* Fri Dec 12 2008 kwizart < kwizart at gmail.com > - 3.99-3.u4b5
- Multilib compliance
- Disable rpath (libtool patch)
- Fix doc encoding
- Enable asm optimization with yasm when possible
- Disable CXXFLAGS override

* Mon Jul 10 2006 Matthias Saou <http://freshrpms.net/> 3.99-2.u4b5
- Update to 3.99-u4-b5.
- Remove no longer needed 64bit patch.

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 3.99-2.u4b4
- Release bump to drop the disttag number in FC5 build.

* Thu Jan 19 2006 Matthias Saou <http://freshrpms.net/> 3.99-1.u4b4
- Update to 3.99-u4-b4.
- Port over 64bit patch from the gstreamer-monkeysaudio package.

* Thu May 26 2005 Matthias Saou <http://freshrpms.net/> 3.99-1.u4b3
- Initial RPM release.
